window.Gleam.initSearch([{"doc":"domu","title":"domu","content":"# domu\n\n[![Package Version](https://img.shields.io/hexpm/v/domu)](https://hex.pm/packages/domu)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/domu/)\n\nDOM library for Gleam\n\n```sh\ngleam add domu\n```\n```gleam\nimport domu/document\nimport domu/node\n\npub fn main() {\n  let doc = document.document()\n  let body = doc |&gt; document.body\n  let el = doc |&gt; document.create_element(&quot;p&quot;)\n  el |&gt; node.set_text_content(&quot;Hello, world!&quot;)\n  body |&gt; node.append_child(el)\n}\n```\n\n&lt;!-- Further documentation can be found at &lt;https://hexdocs.pm/domu&gt;. --&gt;\n\n## Development\n\n### Build\n\n```sh\ntask build # or `task build --watch` to watch for changes and rebuild\n```\n\n### Test\n\n```sh\ntask test\n```\n\n### Generate docs\n\n```sh\ntask docs\n```\n\n### Clean\n\n```sh\ntask clean\n```\n","url":"index.html"},{"doc":"domu/types","title":"AbortSignal","content":"pub type AbortSignal =\n  AbortSignalLike(Concrete)\n\n\nSynonyms:\ndomu/types.AbortSignal\ndomu/types AbortSignal","url":"domu/types.html#AbortSignal"},{"doc":"domu/types","title":"AbortSignalLike","content":"pub type AbortSignalLike(a) =\n  EventTargetLike(AbortSignalTag(a))\n\n\nSynonyms:\ndomu/types.AbortSignalLike\ndomu/types AbortSignalLike","url":"domu/types.html#AbortSignalLike"},{"doc":"domu/types","title":"AbortSignalTag","content":"pub type AbortSignalTag(a)\n\n\nSynonyms:\ndomu/types.AbortSignalTag\ndomu/types AbortSignalTag","url":"domu/types.html#AbortSignalTag"},{"doc":"domu/types","title":"Concrete","content":"pub type Concrete\n\n\nSynonyms:\ndomu/types.Concrete\ndomu/types Concrete","url":"domu/types.html#Concrete"},{"doc":"domu/types","title":"Document","content":"pub type Document =\n  DocumentLike(Concrete)\n\n\nSynonyms:\ndomu/types.Document\ndomu/types Document","url":"domu/types.html#Document"},{"doc":"domu/types","title":"DocumentLike","content":"pub type DocumentLike(a) =\n  NodeLike(DocumentTag(a))\n\n\nSynonyms:\ndomu/types.DocumentLike\ndomu/types DocumentLike","url":"domu/types.html#DocumentLike"},{"doc":"domu/types","title":"DocumentTag","content":"pub type DocumentTag(a)\n\n\nSynonyms:\ndomu/types.DocumentTag\ndomu/types DocumentTag","url":"domu/types.html#DocumentTag"},{"doc":"domu/types","title":"Element","content":"pub type Element =\n  ElementLike(Concrete)\n\n\nSynonyms:\ndomu/types.Element\ndomu/types Element","url":"domu/types.html#Element"},{"doc":"domu/types","title":"ElementLike","content":"pub type ElementLike(a) =\n  NodeLike(ElementTag(a))\n\n\nSynonyms:\ndomu/types.ElementLike\ndomu/types ElementLike","url":"domu/types.html#ElementLike"},{"doc":"domu/types","title":"ElementTag","content":"pub type ElementTag(a)\n\n\nSynonyms:\ndomu/types.ElementTag\ndomu/types ElementTag","url":"domu/types.html#ElementTag"},{"doc":"domu/types","title":"Event","content":"pub type Event =\n  EventLike(Concrete)\n\n\nSynonyms:\ndomu/types.Event\ndomu/types Event","url":"domu/types.html#Event"},{"doc":"domu/types","title":"EventLike","content":"pub type EventLike(a)\n\n\nSynonyms:\ndomu/types.EventLike\ndomu/types EventLike","url":"domu/types.html#EventLike"},{"doc":"domu/types","title":"EventTarget","content":"pub type EventTarget =\n  EventTargetLike(Concrete)\n\n\nSynonyms:\ndomu/types.EventTarget\ndomu/types EventTarget","url":"domu/types.html#EventTarget"},{"doc":"domu/types","title":"EventTargetLike","content":"pub type EventTargetLike(a)\n\n\nSynonyms:\ndomu/types.EventTargetLike\ndomu/types EventTargetLike","url":"domu/types.html#EventTargetLike"},{"doc":"domu/types","title":"HTMLAnchorElement","content":"pub type HTMLAnchorElement =\n  HTMLAnchorElementLike(Concrete)\n\n\nSynonyms:\ndomu/types.HTMLAnchorElement\ndomu/types HTMLAnchorElement","url":"domu/types.html#HTMLAnchorElement"},{"doc":"domu/types","title":"HTMLAnchorElementLike","content":"pub type HTMLAnchorElementLike(a) =\n  HTMLElementLike(HTMLAnchorElementTag(a))\n\n\nSynonyms:\ndomu/types.HTMLAnchorElementLike\ndomu/types HTMLAnchorElementLike","url":"domu/types.html#HTMLAnchorElementLike"},{"doc":"domu/types","title":"HTMLAnchorElementTag","content":"pub type HTMLAnchorElementTag(a)\n\n\nSynonyms:\ndomu/types.HTMLAnchorElementTag\ndomu/types HTMLAnchorElementTag","url":"domu/types.html#HTMLAnchorElementTag"},{"doc":"domu/types","title":"HTMLBodyElement","content":"pub type HTMLBodyElement =\n  HTMLBodyElementLike(Concrete)\n\n\nSynonyms:\ndomu/types.HTMLBodyElement\ndomu/types HTMLBodyElement","url":"domu/types.html#HTMLBodyElement"},{"doc":"domu/types","title":"HTMLBodyElementLike","content":"pub type HTMLBodyElementLike(a) =\n  HTMLElementLike(HTMLBodyElementTag(a))\n\n\nSynonyms:\ndomu/types.HTMLBodyElementLike\ndomu/types HTMLBodyElementLike","url":"domu/types.html#HTMLBodyElementLike"},{"doc":"domu/types","title":"HTMLBodyElementTag","content":"pub type HTMLBodyElementTag(a)\n\n\nSynonyms:\ndomu/types.HTMLBodyElementTag\ndomu/types HTMLBodyElementTag","url":"domu/types.html#HTMLBodyElementTag"},{"doc":"domu/types","title":"HTMLElement","content":"pub type HTMLElement =\n  HTMLElementLike(Concrete)\n\n\nSynonyms:\ndomu/types.HTMLElement\ndomu/types HTMLElement","url":"domu/types.html#HTMLElement"},{"doc":"domu/types","title":"HTMLElementLike","content":"pub type HTMLElementLike(a) =\n  ElementLike(HTMLElementTag(a))\n\n\nSynonyms:\ndomu/types.HTMLElementLike\ndomu/types HTMLElementLike","url":"domu/types.html#HTMLElementLike"},{"doc":"domu/types","title":"HTMLElementTag","content":"pub type HTMLElementTag(a)\n\n\nSynonyms:\ndomu/types.HTMLElementTag\ndomu/types HTMLElementTag","url":"domu/types.html#HTMLElementTag"},{"doc":"domu/types","title":"InputEvent","content":"pub type InputEvent =\n  InputEventLike(Concrete)\n\n\nSynonyms:\ndomu/types.InputEvent\ndomu/types InputEvent","url":"domu/types.html#InputEvent"},{"doc":"domu/types","title":"InputEventLike","content":"pub type InputEventLike(a) =\n  UIEventLike(InputEventTag(a))\n\n\nSynonyms:\ndomu/types.InputEventLike\ndomu/types InputEventLike","url":"domu/types.html#InputEventLike"},{"doc":"domu/types","title":"InputEventTag","content":"pub type InputEventTag(a)\n\n\nSynonyms:\ndomu/types.InputEventTag\ndomu/types InputEventTag","url":"domu/types.html#InputEventTag"},{"doc":"domu/types","title":"MouseEvent","content":"pub type MouseEvent =\n  MouseEventLike(Concrete)\n\n\nSynonyms:\ndomu/types.MouseEvent\ndomu/types MouseEvent","url":"domu/types.html#MouseEvent"},{"doc":"domu/types","title":"MouseEventLike","content":"pub type MouseEventLike(a) =\n  UIEventLike(MouseEventTag(a))\n\n\nSynonyms:\ndomu/types.MouseEventLike\ndomu/types MouseEventLike","url":"domu/types.html#MouseEventLike"},{"doc":"domu/types","title":"MouseEventTag","content":"pub type MouseEventTag(a)\n\n\nSynonyms:\ndomu/types.MouseEventTag\ndomu/types MouseEventTag","url":"domu/types.html#MouseEventTag"},{"doc":"domu/types","title":"Node","content":"pub type Node =\n  NodeLike(Concrete)\n\n\nSynonyms:\ndomu/types.Node\ndomu/types Node","url":"domu/types.html#Node"},{"doc":"domu/types","title":"NodeLike","content":"pub type NodeLike(a) =\n  EventTargetLike(NodeTag(a))\n\n\nSynonyms:\ndomu/types.NodeLike\ndomu/types NodeLike","url":"domu/types.html#NodeLike"},{"doc":"domu/types","title":"NodeTag","content":"pub type NodeTag(a)\n\n\nSynonyms:\ndomu/types.NodeTag\ndomu/types NodeTag","url":"domu/types.html#NodeTag"},{"doc":"domu/types","title":"PointerEvent","content":"pub type PointerEvent =\n  PointerEventLike(Concrete)\n\n\nSynonyms:\ndomu/types.PointerEvent\ndomu/types PointerEvent","url":"domu/types.html#PointerEvent"},{"doc":"domu/types","title":"PointerEventLike","content":"pub type PointerEventLike(a) =\n  MouseEventLike(PointerEventTag(a))\n\n\nSynonyms:\ndomu/types.PointerEventLike\ndomu/types PointerEventLike","url":"domu/types.html#PointerEventLike"},{"doc":"domu/types","title":"PointerEventTag","content":"pub type PointerEventTag(a)\n\n\nSynonyms:\ndomu/types.PointerEventTag\ndomu/types PointerEventTag","url":"domu/types.html#PointerEventTag"},{"doc":"domu/types","title":"UIEvent","content":"pub type UIEvent =\n  UIEventLike(Concrete)\n\n\nSynonyms:\ndomu/types.UIEvent\ndomu/types UIEvent","url":"domu/types.html#UIEvent"},{"doc":"domu/types","title":"UIEventLike","content":"pub type UIEventLike(a) =\n  EventLike(UIEventTag(a))\n\n\nSynonyms:\ndomu/types.UIEventLike\ndomu/types UIEventLike","url":"domu/types.html#UIEventLike"},{"doc":"domu/types","title":"UIEventTag","content":"pub type UIEventTag(a)\n\n\nSynonyms:\ndomu/types.UIEventTag\ndomu/types UIEventTag","url":"domu/types.html#UIEventTag"},{"doc":"domu/types","title":"domu/types","content":"","url":"domu/types.html"},{"doc":"domu/add_event_listener_options","title":"AddEventListenerOptions","content":"pub type AddEventListenerOptions(a) {\n  AddEventListenerOptions(\n    capture: Bool,\n    once: Bool,\n    passive: Option(Bool),\n    signal: Option(AbortSignalLike(a)),\n  )\n}\n\nAddEventListenerOptions(\n  capture: Bool,\n  once: Bool,\n  passive: Option(Bool),\n  signal: Option(AbortSignalLike(a)),\n)\n\n\nSynonyms:\ndomu/add_event_listener_options.AddEventListenerOptions\ndomu/add_event_listener_options AddEventListenerOptions","url":"domu/add_event_listener_options.html#AddEventListenerOptions"},{"doc":"domu/add_event_listener_options","title":"capture","content":"pub fn capture(\n  options: AddEventListenerOptions(a),\n  value: Bool,\n) -&gt; AddEventListenerOptions(a)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener#capture)\nSynonyms:\ndomu/add_event_listener_options.capture\ndomu/add_event_listener_options capture","url":"domu/add_event_listener_options.html#capture"},{"doc":"domu/add_event_listener_options","title":"default","content":"pub fn default() -&gt; AddEventListenerOptions(a)\n\nSynonyms:\ndomu/add_event_listener_options.default\ndomu/add_event_listener_options default","url":"domu/add_event_listener_options.html#default"},{"doc":"domu/add_event_listener_options","title":"once","content":"pub fn once(\n  options: AddEventListenerOptions(a),\n  value: Bool,\n) -&gt; AddEventListenerOptions(a)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener#once)\nSynonyms:\ndomu/add_event_listener_options.once\ndomu/add_event_listener_options once","url":"domu/add_event_listener_options.html#once"},{"doc":"domu/add_event_listener_options","title":"passive","content":"pub fn passive(\n  options: AddEventListenerOptions(a),\n  value: Bool,\n) -&gt; AddEventListenerOptions(a)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener#passive)\nSynonyms:\ndomu/add_event_listener_options.passive\ndomu/add_event_listener_options passive","url":"domu/add_event_listener_options.html#passive"},{"doc":"domu/add_event_listener_options","title":"signal","content":"pub fn signal(\n  options: AddEventListenerOptions(a),\n  value: EventTargetLike(AbortSignalTag(b)),\n) -&gt; AddEventListenerOptions(b)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener#signal)\nSynonyms:\ndomu/add_event_listener_options.signal\ndomu/add_event_listener_options signal","url":"domu/add_event_listener_options.html#signal"},{"doc":"domu/add_event_listener_options","title":"domu/add_event_listener_options","content":"","url":"domu/add_event_listener_options.html"},{"doc":"domu/document","title":"body","content":"pub fn body(\n  document: EventTargetLike(NodeTag(DocumentTag(a))),\n) -&gt; EventTargetLike(\n  NodeTag(\n    ElementTag(HTMLElementTag(HTMLBodyElementTag(Concrete))),\n  ),\n)\n Returns the `document.body` as an `HTMLBodyElement` .\n\n Note that `document.body` itself returns `null` when the `&lt;body&gt;` tag hasn&#39;t been loaded yet.\n This function is defined for convenience.\n\n For safer handling, use `body_option` instead.\n\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/body)\nSynonyms:\ndomu/document.body\ndomu/document body","url":"domu/document.html#body"},{"doc":"domu/document","title":"body_option","content":"pub fn body_option(\n  document: EventTargetLike(NodeTag(DocumentTag(a))),\n) -&gt; Option(\n  EventTargetLike(\n    NodeTag(\n      ElementTag(HTMLElementTag(HTMLBodyElementTag(Concrete))),\n    ),\n  ),\n)\n Returns the `document.body` as an `Option(HTMLBodyElement)` .\n\n This function safely handles the case where `document.body` is `null` .\n\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/body)\nSynonyms:\ndomu/document.body_option\ndomu/document body_option","url":"domu/document.html#body_option"},{"doc":"domu/document","title":"create_element","content":"pub fn create_element(\n  document: EventTargetLike(NodeTag(DocumentTag(a))),\n  tag_name: String,\n) -&gt; EventTargetLike(\n  NodeTag(ElementTag(HTMLElementTag(Concrete))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createElement)\nSynonyms:\ndomu/document.create_element\ndomu/document create_element","url":"domu/document.html#create_element"},{"doc":"domu/document","title":"create_element_a","content":"pub fn create_element_a(\n  document: EventTargetLike(NodeTag(DocumentTag(a))),\n) -&gt; EventTargetLike(\n  NodeTag(\n    ElementTag(HTMLElementTag(HTMLAnchorElementTag(Concrete))),\n  ),\n)\n\nSynonyms:\ndomu/document.create_element_a\ndomu/document create_element_a","url":"domu/document.html#create_element_a"},{"doc":"domu/document","title":"document","content":"pub fn document() -&gt; EventTargetLike(\n  NodeTag(DocumentTag(Concrete)),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document)\nSynonyms:\ndomu/document.document\ndomu/document document","url":"domu/document.html#document"},{"doc":"domu/document","title":"of_node","content":"pub fn of_node(\n  node: EventTargetLike(NodeTag(a)),\n) -&gt; Option(EventTargetLike(NodeTag(DocumentTag(Concrete))))\n Downcasts `Node` to `Document` if possible.\nSynonyms:\ndomu/document.of_node\ndomu/document of_node","url":"domu/document.html#of_node"},{"doc":"domu/document","title":"domu/document","content":"","url":"domu/document.html"},{"doc":"domu/event","title":"current_target","content":"pub fn current_target(\n  event: EventLike(a),\n) -&gt; Option(EventTargetLike(Concrete))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/currentTarget)\nSynonyms:\ndomu/event.current_target\ndomu/event current_target","url":"domu/event.html#current_target"},{"doc":"domu/event","title":"target","content":"pub fn target(\n  event: EventLike(a),\n) -&gt; Option(EventTargetLike(Concrete))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/target)\nSynonyms:\ndomu/event.target\ndomu/event target","url":"domu/event.html#target"},{"doc":"domu/event","title":"domu/event","content":"","url":"domu/event.html"},{"doc":"domu/event_type","title":"EventType","content":"pub type EventType(event_obj) {\n  EventType(String)\n}\n\nEventType(String)\n\n\nSynonyms:\ndomu/event_type.EventType\ndomu/event_type EventType","url":"domu/event_type.html#EventType"},{"doc":"domu/event_type","title":"before_input","content":"pub fn before_input() -&gt; EventType(\n  EventLike(UIEventTag(InputEventTag(Concrete))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/beforeinput_event)\nSynonyms:\ndomu/event_type.before_input\ndomu/event_type before_input","url":"domu/event_type.html#before_input"},{"doc":"domu/event_type","title":"change","content":"pub fn change() -&gt; EventType(EventLike(Concrete))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/change_event)\nSynonyms:\ndomu/event_type.change\ndomu/event_type change","url":"domu/event_type.html#change"},{"doc":"domu/event_type","title":"click","content":"pub fn click() -&gt; EventType(\n  EventLike(UIEventTag(MouseEventTag(PointerEventTag(Concrete)))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/click_event)\nSynonyms:\ndomu/event_type.click\ndomu/event_type click","url":"domu/event_type.html#click"},{"doc":"domu/event_type","title":"input","content":"pub fn input() -&gt; EventType(EventLike(Concrete))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/input_event)\nSynonyms:\ndomu/event_type.input\ndomu/event_type input","url":"domu/event_type.html#input"},{"doc":"domu/event_type","title":"mouse_down","content":"pub fn mouse_down() -&gt; EventType(\n  EventLike(UIEventTag(MouseEventTag(Concrete))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousedown_event)\nSynonyms:\ndomu/event_type.mouse_down\ndomu/event_type mouse_down","url":"domu/event_type.html#mouse_down"},{"doc":"domu/event_type","title":"mouse_move","content":"pub fn mouse_move() -&gt; EventType(\n  EventLike(UIEventTag(MouseEventTag(Concrete))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousemove_event)\nSynonyms:\ndomu/event_type.mouse_move\ndomu/event_type mouse_move","url":"domu/event_type.html#mouse_move"},{"doc":"domu/event_type","title":"mouse_up","content":"pub fn mouse_up() -&gt; EventType(\n  EventLike(UIEventTag(MouseEventTag(Concrete))),\n)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseup_event)\nSynonyms:\ndomu/event_type.mouse_up\ndomu/event_type mouse_up","url":"domu/event_type.html#mouse_up"},{"doc":"domu/event_type","title":"domu/event_type","content":"","url":"domu/event_type.html"},{"doc":"domu/event_target","title":"add_event_listener","content":"pub fn add_event_listener(\n  event_target: EventTargetLike(a),\n  event_type: EventType(b),\n  listener: fn(b) -&gt; Nil,\n  options: Option(AddEventListenerOptions(c)),\n) -&gt; Nil\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener)\nSynonyms:\ndomu/event_target.add_event_listener\ndomu/event_target add_event_listener","url":"domu/event_target.html#add_event_listener"},{"doc":"domu/event_target","title":"domu/event_target","content":"","url":"domu/event_target.html"},{"doc":"domu/html_anchor_element","title":"href","content":"pub fn href(\n  element: EventTargetLike(\n    NodeTag(ElementTag(HTMLElementTag(HTMLAnchorElementTag(a)))),\n  ),\n) -&gt; String\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/href)\nSynonyms:\ndomu/html_anchor_element.href\ndomu/html_anchor_element href","url":"domu/html_anchor_element.html#href"},{"doc":"domu/html_anchor_element","title":"set_href","content":"pub fn set_href(\n  element: EventTargetLike(\n    NodeTag(ElementTag(HTMLElementTag(HTMLAnchorElementTag(a)))),\n  ),\n  href: String,\n) -&gt; Nil\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/href)\nSynonyms:\ndomu/html_anchor_element.set_href\ndomu/html_anchor_element set_href","url":"domu/html_anchor_element.html#set_href"},{"doc":"domu/html_anchor_element","title":"domu/html_anchor_element","content":"","url":"domu/html_anchor_element.html"},{"doc":"domu/node_list","title":"Live","content":"pub type Live\n\n\nSynonyms:\ndomu/node_list.Live\ndomu/node_list Live","url":"domu/node_list.html#Live"},{"doc":"domu/node_list","title":"NodeList","content":"pub type NodeList(a)\n\n\nSynonyms:\ndomu/node_list.NodeList\ndomu/node_list NodeList","url":"domu/node_list.html#NodeList"},{"doc":"domu/node_list","title":"Static","content":"pub type Static\n\n\nSynonyms:\ndomu/node_list.Static\ndomu/node_list Static","url":"domu/node_list.html#Static"},{"doc":"domu/node_list","title":"entries","content":"pub fn entries(\n  node_list: NodeList(a),\n) -&gt; Iterator(#(Int, EventTargetLike(NodeTag(Concrete))))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList/entries)\nSynonyms:\ndomu/node_list.entries\ndomu/node_list entries","url":"domu/node_list.html#entries"},{"doc":"domu/node_list","title":"item","content":"pub fn item(\n  node_list: NodeList(a),\n  index: Int,\n) -&gt; Option(EventTargetLike(NodeTag(Concrete)))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList/item)\nSynonyms:\ndomu/node_list.item\ndomu/node_list item","url":"domu/node_list.html#item"},{"doc":"domu/node_list","title":"item_","content":"pub fn item_(\n  node_list: NodeList(a),\n  index: Int,\n) -&gt; Nullable(EventTargetLike(NodeTag(Concrete)))\n\nSynonyms:\ndomu/node_list.item_\ndomu/node_list item_","url":"domu/node_list.html#item_"},{"doc":"domu/node_list","title":"length","content":"pub fn length(node_list: NodeList(a)) -&gt; Int\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList/length)\nSynonyms:\ndomu/node_list.length\ndomu/node_list length","url":"domu/node_list.html#length"},{"doc":"domu/node_list","title":"to_list","content":"pub fn to_list(\n  node_list: NodeList(a),\n) -&gt; List(EventTargetLike(NodeTag(Concrete)))\n\nSynonyms:\ndomu/node_list.to_list\ndomu/node_list to_list","url":"domu/node_list.html#to_list"},{"doc":"domu/node_list","title":"domu/node_list","content":"","url":"domu/node_list.html"},{"doc":"domu/node","title":"append_child","content":"pub fn append_child(\n  parent: EventTargetLike(NodeTag(a)),\n  child: EventTargetLike(NodeTag(b)),\n) -&gt; Nil\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/appendChild)\nSynonyms:\ndomu/node.append_child\ndomu/node append_child","url":"domu/node.html#append_child"},{"doc":"domu/node","title":"child_nodes","content":"pub fn child_nodes(\n  node: EventTargetLike(NodeTag(a)),\n) -&gt; NodeList(Live)\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/childNodes)\nSynonyms:\ndomu/node.child_nodes\ndomu/node child_nodes","url":"domu/node.html#child_nodes"},{"doc":"domu/node","title":"clone_node","content":"pub fn clone_node(\n  node: EventTargetLike(NodeTag(a)),\n  deep: Bool,\n) -&gt; EventTargetLike(NodeTag(Concrete))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/cloneNode)\nSynonyms:\ndomu/node.clone_node\ndomu/node clone_node","url":"domu/node.html#clone_node"},{"doc":"domu/node","title":"owner_document","content":"pub fn owner_document(\n  node: EventTargetLike(NodeTag(a)),\n) -&gt; Option(EventTargetLike(NodeTag(DocumentTag(Concrete))))\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/ownerDocument)\nSynonyms:\ndomu/node.owner_document\ndomu/node owner_document","url":"domu/node.html#owner_document"},{"doc":"domu/node","title":"set_text_content","content":"pub fn set_text_content(\n  node: EventTargetLike(NodeTag(a)),\n  text: String,\n) -&gt; Nil\n Sets `textContent` property of `Node`\n\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/textContent)\nSynonyms:\ndomu/node.set_text_content\ndomu/node set_text_content","url":"domu/node.html#set_text_content"},{"doc":"domu/node","title":"text_content","content":"pub fn text_content(\n  node: EventTargetLike(NodeTag(a)),\n) -&gt; Option(String)\n Gets `textContent` property of `Node`\n\n [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/textContent)\nSynonyms:\ndomu/node.text_content\ndomu/node text_content","url":"domu/node.html#text_content"},{"doc":"domu/node","title":"domu/node","content":"","url":"domu/node.html"}]);